Subject: Re: bug#7034: 24.0.50; Visit a remote file fails on windows

From: Juanma Barranquero <[email-masked]>
Date: Thu, 2 Jun 2011 01:54:54 +0200

> I'm reopening this bug report, because I'm experiencing it with the
> latest Windows build of Emacs, on a Windows 7 system (real, not
> virtualized).

I'm using a trunk build, on a Windows 7 Home Premium SP1 64-bit, and
it works. Apparently the difference between your log and mine is the
use of passive mode.

    Juanma

ftp> ?Invalid help command foo
ftp> open ftp.mozilla.org
Connected to ftp.zlb-ftp.sj.mozilla.com.
220-
220-   ftp.mozilla.org / archive.mozilla.org - files are in /pub/mozilla.org
220-
220-   Notice: This server is the only place to obtain nightly builds
and needs to
220-   remain available to developers and testers. High bandwidth servers that
220-   contain the public release files are available at
ftp://releases.mozilla.org/
220-   If you need to link to a public release, please link to the
release server,
220-   not here. Thanks!
220-
220-   Attempts to download high traffic release files from this
server will get a
220-   "550 Permission denied." response.
220
ftp> user "ftp" Turtle Power!
331 Please specify the password.
230-
230-   ftp.mozilla.org / archive.mozilla.org - files are in /pub/mozilla.org
230-
230-   Notice: This server is the only place to obtain nightly builds
and needs to
230-   remain available to developers and testers. High bandwidth servers that
230-   contain the public release files are available at
ftp://releases.mozilla.org/
230-   If you need to link to a public release, please link to the
release server,
230-   not here. Thanks!
230-
230-   Attempts to download high traffic release files from this
server will get a
230-   "550 Permission denied." response.
230 Login successful.
ftp> hash
Hash mark printing on (1024 bytes/hash mark).
ftp> pwd
257 "/"
ftp> cd "/pub/mozilla.org/README/"
550 Failed to change directory.
ftp> cd "/pub/mozilla.org/README/"
550 Failed to change directory.
ftp> cd "/pub/mozilla.org/"
250 Directory successfully changed.
ftp> ls -al c:/Users/MyUserName/AppData/Local/Temp/ange-ftp3268Rs0
227 Entered Passive Mode (63,245,209,125,201,139)
150 Here comes the directory listing.

226 Directory send OK.
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> type binary
200 Switching to Binary mode.
ftp> quote size "/pub/mozilla.org/README"
213 388
ftp> quote size "/pub/mozilla.org/README"
213 388
ftp> type ascii
200 Switching to ASCII mode.
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> type binary
200 Switching to Binary mode.
ftp> quote size "/pub/mozilla.org/README"
213 388
ftp> quote size "/pub/mozilla.org/README"
213 388
ftp> type ascii
200 Switching to ASCII mode.
ftp> type binary
200 Switching to Binary mode.
ftp> get "/pub/mozilla.org/README"
c:/Users/MyUserName/AppData/Local/Temp/ange-ftp3268D2D
227 Entered Passive Mode (63,245,209,125,201,118)
150 Opening BINARY mode data connection for /pub/mozilla.org/README (388 bytes).

226 File send OK.
388 bytes received in 1e-006 seconds (3.8e+005 Kbytes/s)
ftp> type ascii
200 Switching to ASCII mode.
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> quote mdtm /pub/mozilla.org/README
213 20100223125346
ftp> type binary
200 Switching to Binary mode.
ftp> quote size "/pub/mozilla.org/README"
213 388
ftp> quote size "/pub/mozilla.org/README"
213 388
ftp> type ascii
200 Switching to ASCII mode.
ftp>